Subject: [AVT] ABNF in draft-ietf-avt-rapid-acquisition-for-rtp-11

From: Robert Sparks <[email-masked]>
Date: Thu, 19 Aug 2010 15:45:37 -0500

The ABNF in draft-ietf-avt-rapid-acquisition-for-rtp-11 is not using the right set
of ABNF extension tools to get the "rai" token into the set of legal things for 
rtcp-fb-val.

As written, this _replaces_ the ABNF from 4585 - the other rtcp-fb-val expansions go away.

It would be sufficient, and more correct, to replace all of the ABNF in this document with this one line:

      rtcp-fb-nack-param =/ SP "rai"

( =/ was defined for exactly this task in section 3.3 of RFC 5234)

RjS

---

From: "Ali C. Begen (abegen)" <[email-masked]>
Date: Thu, 19 Aug 2010 15:22:03 -0700

Good catch. Will fix this in the revision.

-acbegen

> -----Original Message-----
> From: Robert Sparks [mailto:[email-masked]]
> Sent: Thursday, August 19, 2010 11:46 PM
> To: [email-masked]
> Cc: [email-masked]
> Subject: ABNF in draft-ietf-avt-rapid-acquisition-for-rtp-11
>